// Copyright (C) 2018 Avatao.com Innovative Learning Kft.
// All Rights Reserved. See LICENSE file for details.

export const config = {
  documentTitle: 'Avatao Tutorials',
  dashboard: {
    route: 'dashboard',
    triggerFirstFSMStep: 'step_1',
    askReloadSite: false,
    recoverAfterPageReload: true,
    terminalOrConsole: 'terminal',
    currentLayout: 'terminal-ide-web',
    enabledLayouts: [
      'terminal-ide-web',
      'terminal-ide-vertical',
      'terminal-web',
      'ide-web-vertical',
      'terminal-ide-horizontal',
      'terminal-only',
      'ide-only',
      'web-only'
      ],
    iframeUrl: '/webservice',
    showUrlBar: false,
    hideMessages: false
  },
  ide: {
    route: 'ide',
    autoSaveInterval: 444,
    defaultCode: 'Loading your file...',
    defaultLanguage: 'text',
    deployProcessName: 'webservice',
    deployButtonText: {
      'TODEPLOY': 'Deploy',
      'DEPLOYED': 'Deployed',
      'DEPLOYING': 'Reloading app...',
      'FAILED': 'Deployment failed. Retry'
    },
    showDeployButton: true,
    reloadIframeOnDeploy: false,
    showConsoleOnDeploy: true,
    autoDetectFileLanguage: true,
    showMiniMap: false
  },
  terminal: {
    route: 'shell'
  },
  messages: {
    route: 'messages',
    showNextButton: false,
    messageQueueWPM: 150
  },
  console: {
    route: 'console',
    defaultContent: '',
    rewriteContentWithProcessLogsOnDeploy: 'stdout',
    showLiveLogs: true,
    defaultLogs: {
      stdout: '',
      stderr: ''
    }
  },
  testmessenger: {
    route: 'testmessenger'
  }
};
